DELETE
/api/v1/container_registry/replication/policies/{policy_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/policies/{policy_id}/?policy_id=<POLICY_ID>&cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/policies/{policy_id}/", params={"policy_id": "<POLICY_ID>", "cr_project_id": "<CR_PROJECT_ID>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/policies/{policy_id}/");url.search = new URLSearchParams({ policy_id: "<POLICY_ID>", cr_project_id: "<CR_PROJECT_ID>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”policy_id
required
string
Path parameter policy_id.
Query Parameters
Section titled “Query Parameters”policy_id
required
integer
Policy ID
cr_project_id
required
integer
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Replication policy deleted successfully.
Media typeapplication/json
object
code
integer
data
object
errors
object
key
additional properties
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Replication Policy Deleted Successfully"}